org.eclipse.gef.dot.internal.language

## Class DotColorListRuntimeModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.gef.dot.internal.language.AbstractDotColorListRuntimeModule
      - - org.eclipse.gef.dot.internal.language.DotColorListRuntimeModule

All Implemented Interfaces:
  com.google.inject.Module

    public class DotColorListRuntimeModule
    extends AbstractDotColorListRuntimeModule

Use this class to register components to be used at runtime / without the Equinox extension registry.

### Field Summary

### Fields inherited from class org.eclipse.gef.dot.internal.language.AbstractDotColorListRuntimeModule

`properties`

### Constructor Summary

Constructors
Constructor and Description
`DotColorListRuntimeModule()`

### Method Summary

### Methods inherited from class org.eclipse.gef.dot.internal.language.AbstractDotColorListRuntimeModule

`bindClassLoaderToInstance, bindDotColorListJavaValidator, bindIAntlrTokenFileProvider, bindIFormatter, bindIGrammarAccess, bindIParser, bindISemanticSequencer, bindISerializer, bindISyntacticSequencer, bindITokenDefProvider, bindITokenToStringConverter, bindLexer, configure, configureFileExtensions, configureLanguageName, configureRuntimeLexer, provideInternalDotColorListLexer`

### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

`bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIContainer$Manager, bindIFragmentProvider, bindIGlobalScopeProvider, bindILinker, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIQualifiedNameProvider, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindIScopeProvider, bindITransientValueService, bindIValueConverterService, bindResourceSet, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptions, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureLinkingIScopeProvider, configureRuntimeEncodingProvider, configureSerializerIScopeProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

`bindProperties, getBindings, tryBindProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotColorListRuntimeModule

    public DotColorListRuntimeModule()